<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - Browse Running Services - Service Details</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      %end invoke%
   </head>

   <body style="border: 0;">
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %ifvar id%
            %invoke wia.pub.issprofiler.ui.browseRunningServices:getServiceDetails%
            %onerror%
               <tr>
                  <td class="message" colspan="2">
                     %value errorMessage encode(xml)%
                  </td>
               </tr>
            %end invoke%
         %end if%

         %ifvar message%
            <tr>
               <td class="message" colspan="2">
                  %value message encode(xml)%
               </td>
            </tr>
         %else%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <table width="95%">
                     <tr>
                        <td class="columnHeading" colspan="4"> Service   </td>
                     </tr>
                     <tr></tr>
                     <tr>
                        <td class="rowlabel"  width="25%"> Package:        </td><!-- also set the fixed reference-width of the column -->
                        <td class="evencol-l" colspan="3"> %value pn%      </td>
                     </tr>
                  %ifvar ul%
                     <tr>
                        <td class="rowlabel">              User:          </td>
                        <td class="evencol-l" colspan="3">%loop ul%<span class="userName">%value ul%</span>%loopsep ', '%%endloop%</td>
                     </tr>
                  %endif%
                  %ifvar csn%
                     <tr>
                        <td class="rowlabel" >             Called from:    </td>
                        <td class="evencol-l" colspan="3"> %value csn%     </td>
                     </tr>
                  %endif%
                     <tr>
                        <td class="rowlabel">              Call Count:     </td>
                        <td class="evencol-r" width="25%"> %value cc%      </td>
                        <td class="evencol-l" colspan="2">
                           %ifvar re%
                              completed
                           %else%
                              &nbsp;
                           %endif%
                        </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">              Exception Count:</td>
                        <td class="evencol-r">             %value ec%      </td>
                        <td class="evencol-r" colspan="2"> &nbsp;          </td>
                     </tr>
                  %ifvar ac%
                     <tr>
                        <td class="rowlabel">              Aggregate Count:</td>
                        <td class="evencol-r">             %value ac%      </td>
                        <td class="evencol-r" colspan="2"> &nbsp;          </td>
                     </tr>
                  %endif%
                  %ifvar scvu%
                     %ifvar scvu equals('void')%
                     %else%
                        <tr>
                           <td class="rowlabel">              Documentation  :</td>
                           <td class="evencol-l" colspan="3"><a href="%value scvu%" target='_blank'>view service comments</a></td>
                        </tr>
                     %endif%
                  %endif%
                  </table>
                  <br/>
                  <table width="95%">
                     <tr>
                        <td class="columnHeading" colspan="4"> Own Code    </td>
                     </tr>
                     <tr></tr>
                     <tr>
                        <td class="rowlabel"  width="25%"> Elapsed:        </td><!-- also set the fixed reference-width of the column -->
                        <td class="evencol-r" width="25%"> %value oce%     </td>
                        <td class="evencol-r" colspan="2"> &nbsp;          </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">              Spent:          </td>
                        <td class="evencol-r">             %value ocs%     </td>
                        <td class="evencol-r" colspan="2"> &nbsp;          </td>
                     </tr>
                  </table>
                  <br/>
                  <table width="95%">
                     <tr>
                       <td class="columnHeading-r" colspan="2"> Accumulated With Children: </td>
                       <td class="columnHeading-r">             Mininum </td>
                       <td class="columnHeading-r">             Maximum </td>
                     </tr>
                     <tr></tr>
                     <tr>
                        <td class="rowlabel"  width="25%"> Elapsed:                      </td><!-- also set the fixed reference-width of the column -->
                        <td class="evencol-r" width="25%"> %value wce%                   </td>
                        <td class="evencol-r" width="25%"> %value wcemn  null='&nbsp;'%  </td>
                        <td class="evencol-r" width="25%"> %value wcemx  null='&nbsp;'%  </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">              Spent:                        </td>
                        <td class="evencol-r">             %value wcs%                   </td>
                        <td class="evencol-r">             %value wcsmn  null='&nbsp;'%  </td>
                        <td class="evencol-r">             %value wcsmx  null='&nbsp;'%  </td>
                     </tr>
                  </table>

               %ifvar re%
                  <br/>
                  <table width="95%">
                     <tr>
                        <td class="columnHeading" colspan="4"> Running Instance </td>
                     </tr>
                     <tr></tr>
                     <tr>
                        <td class="rowlabel"  width="25%"> Elapsed:   </td><!-- also set the fixed reference-width of the column -->
                        <td class="evencol-r" width="25%"> %value re% </td>
                        <td class="evencol-r" colspan="2"> &nbsp;     </td>
                     </tr>
                  </table>
               %endif%

               %ifvar JavaStackTrace%
                  <br/>
                  <table width="95%">
                     <tr>
                        <td class="columnHeading" colspan="4">Java Stack Trace</td>
                     </tr>
                     <tr></tr>
                     %loop JavaStackTrace%
                     <tr>
                        <td class="evencol-l" colspan="4">
                           %value ClassName%.%value MethodName%(%value LineNumber%)
                        </td>
                     </tr>
                     %endloop%
                  </table>
               %endif%
               </td>
            </tr>
         %endif%
      </table>
   </body>
</html>
