<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - Browse Snapshot - Snapshot Identification</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      %end invoke%
   </head>

   <body style="border: 0;">
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %ifvar id%
            %invoke wia.pub.issprofiler.ui.browseSnapshot:getServerDetails%
            %onerror%
               <tr>
                  <td class="message" colspan="2">
                     %value errorMessage encode(xml)%
                  </td>
               </tr>
            %end invoke%
         %end if%

         %ifvar message%
            <tr>
               <td class="message" colspan="2">
                  %value message encode(xml)%
               </td>
            </tr>
         %else%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <table width="95%">
                     <tr>
                        <td class="columnHeading" colspan="2"> Snapshot Identification </td>
                     </tr>
                     <tr></tr>
                     <tr>
                        <td class="rowlabel" width="120"> Sample Key:        </td><!-- also set the fixed reference-width of the column -->
                        <td class="evencol-l">            %value sk%         </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">             Server Name:       </td>
                        <td class="evencol-l">            %value sn%         </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">             Sample Begin Time: </td>
                        <td class="evencol-l">            %value sbt%        </td>
                     </tr>
                     <tr>
                        <td class="rowlabel">             Sample End Time:   </td>
                        <td class="evencol-l">            %value set%        </td>
                     </tr>
                  </table>
               </td>
            </tr>
         %endif%
      </table>
   </body>
</html>
