<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - View Per Service</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      <script type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
      %end invoke%
      <style>
         body, a img { border: 0; }
         td.columnFooter-r a
            {
            color: #fff;
            text-decoration: none;
            }
         #ignore-apep-label { text-align: right; }
         #ignore-apep-input { text-align: left; }
      </style>
      <script type="text/javascript">

         var mAllUserNames = null;     // list of all unique user names

         /** Show users that invoked the service.
          * @param   userIndexes
          *             Array of indexes into the all-users array.
          */
         function showServiceUsers(userIndexes) {
            var xMsg = "Users that invoked this service:";
            for(var xIdx = 0; xIdx < userIndexes.length; xIdx++)
               xMsg = xMsg + "\n\t" + mAllUserNames[userIndexes[xIdx]];
            alert(xMsg);
         }

         /** Show all user names. */
         function showAllUsers() {
            var xMsg = "All unique user names:";
            for(var xIdx = 0; xIdx < mAllUserNames.length; xIdx++)
               xMsg = xMsg + "\n\t" + mAllUserNames[xIdx];
            alert(xMsg);
         }

         /**
          * Change the style of a clickable table cell.
          * @param   cell
          *             The clickable cell.
          * @param   isApply
          *             <tt>true</tt> to set, <tt>false</tt> to unset.
          */
         function clickableCellStyle(cell, isApply) {
            if (cell && cell.className)
               if (isApply)
                  cell.className += " clickable";
               else
                  cell.className = cell.className.substr(0,  cell.className.length - 10);
         }
      </script>
   </head>

   <body onLoad="setNavigation('ViewPerService.dsp', 'doc/OnlineHelp/PackageHelp.html#viewperservice', 'foo');">
      <table class="topContainer">
         <tr>
            <td class="menusection-Dashboard">Dashboard &gt; View Per Service</td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.viewPerService:build%
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message encode(xml)%
                  </td>
               </tr>
            %else%
               %ifvar targetView/GrandTotals/js_users_array%
                  <script type="text/javascript">
                     mAllUserNames = %value targetView/GrandTotals/js_users_array encode('none')%;
                  </script>
               %endif%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table width="100%">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message" colspan="5">
                                 %value validationMessage encode(xml)%
                              </td>
                           </tr>
                           <tr><td colspan="5">&nbsp;</td></tr>
                        %endif%
                        <tr class="heading">
                           <td colspan="5"> Snapshot Identification </td>
                        <tr>
                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                           <td class="columnHeading-r" title="Max Thread Count">MTC</td>
                        </tr>
                        <tr>
                           <td class="oddrow-l">%value targetView/SampleKey      %</td>
                           <td class="oddrow-l">%value targetView/ServerName     %</td>
                           <td class="oddrow-l">%value targetView/SampleBeginTime%</td>
                           <td class="oddrow-l">%value targetView/SampleEndTime  %</td>
                           <td class="oddrow">  %value targetView/MaxThreadCount %</td>
                        </tr>
                     </table>
                     <br/>
                     <form method="post">
                        <table width="100%" sortable="true">
                           <thead>
                              <tr class="heading">
                                 <td colspan="%ifvar targetView/hasCommentsViewer equals('true')%11%else%10%end if%">Snapshot Details per Service</td>
                              </tr>
                              <tr class="oddrow-l">
                                 <td colspan="%ifvar targetView/hasCommentsViewer equals('true')%11%else%10%end if%">
                                    <table width="100%">
                                       <tr>
                                          <td class="oddrow" width="280">
                                             Minimum Own Elapsed Time (D&nbsp;HH:MM:SS.m):
                                          </td>
                                          <td class="oddrow-l">
                                             &nbsp;<input type="text" name="minElapsedTime" value="%value minElapsedTime%" size="15"/>
                                          </td>
                                          <td align="right" width="26">
                                             %ifvar isLoadFromXMLFile equals('true')%
                                                <img src="images/snapshot-from-xml-file.gif"/>
                                             %endif%
                                          </td>
                                          <td align="right" width="26">
                                             %ifvar frozen equals('true')%
                                                <img src="images/snapshot-frozen.gif"/>
                                             %endif%
                                          </td>
                                       </tr>
                                       <tr>
                                          <td class="oddrow">
                                             Reported Times are averages:
                                          </td>
                                          <td class="oddrow-l" colspan="2">
                                             <input type="checkbox" name="isAverageTimes" %ifvar isAverageTimes equals('true')% checked %endif%/>
                                          </td>
                                       </tr>
                                       <tr>
                                          <td id="ignore-apep-label">Ignore ALL Package Exclusion Patterns:</td>
                                          <td id="ignore-apep-input" colspan="2"><input type="checkbox" name="isIgnorePkgFilters" %ifvar isIgnorePkgFilters equals('true')% checked %endif%/></td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>

                              <tr class="oddrow-l">
                                 <td colspan="%ifvar targetView/hasCommentsViewer equals('true')%5%else%4%end if%">
                                    <input type="submit" name="action" value="Refresh"/>
                                 </td>
                                 <td class="highColumnHeading-c" colspan="2">Count          </td>
                                 <td class="highColumnHeading-c" colspan="2">Own Code       </td>
                                 <td class="highColumnHeading-c" colspan="2">With Child Code</td>
                              </tr>
                              <tr>
                                 <td class="columnHeading"   sortable="true">                                            Package</td>
                                 <td class="columnHeading"   sortable="true">                                            Service</td>
                                 %ifvar targetView/hasCommentsViewer equals('true')%<td class="columnHeading">&nbsp;</td>%end if%
                                 <td class="columnHeading-c" sortable="true">                                            Type   </td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="number">         Users  </td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc">                           Calls  </td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc">                           Errors </td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" width="90">Elapsed</td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" width="90">Spent  </td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" width="90">Elapsed</td>
                                 <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" width="90">Spent  </td>
                              </tr>
                           </thead>

                           <tbody>
                              <!-- Loop over the Service Details and print a line for each -->
                              %loop targetView/ServiceAccumulators%
                                 <tr class="selectableRowStripped">
                                   <script type="text/javascript">
                                      writeTag_TD("%value PackageName%"                            , "row-l"    , null, true );
                                      writeTag_TD("%value ServiceName%"                            , "row-l"    , null, false);
                                   %ifvar CommentsViewerURL%
                                      writeTag_TD(%ifvar CommentsViewerURL equals('void')%""%else%"<a href='%value CommentsViewerURL%' target='_blank'><img src='images/outlink_dark_icon.png' title='View service comments'/></a>"%end%
                                                                                                   , "rowdata"  , null, false);
                                   %end if%
                                      writeTag_TD("<a href='BrowseSnapshot-fs.dsp?serviceName=%value ServiceName%'><img src='images/ns_%value ServiceType%.gif' title='Locate service in the BrowseSnapshot dashboard'/></a>"
                                                                                                   , "rowdata"  , null, false);
                                      writeTag_TD("%value UsersCount%"
                                                 , "rowdata-r"
                                             %ifvar js_users_array%
                                                 , [ "onclick='javascript:showServiceUsers(%value js_users_array encode('none')%);'"
                                                   , "title='Show list of user names'"
                                                   , "onmouseover='javascript:clickableCellStyle(this, true);'"
                                                   , "onmouseout='javascript:clickableCellStyle(this, false);'"
                                                   ]
                                             %else%
                                                 , null
                                             %end if%
                                                , false
                                                );
                                      writeTag_TD("%value CallCount%"                              , "rowdata-r", null, false);
                                      writeTag_TD("%ifvar TriggeredAlert%<span class='%value TriggeredAlert%Alert'>%value ExceptionCount%</span>%else%%value ExceptionCount%%endif%", "rowdata-r", null, false);
                                      writeTag_TD("%value OwnElapsedTime%"                         , "rowdata-r", null, false);
                                      writeTag_TD("%value OwnSpentTime%"                           , "rowdata-r", null, false);
                                      writeTag_TD("<span title='min=%value WithChildrenElapsedTimeMin% / max=%value WithChildrenElapsedTimeMax%'>%value WithChildrenElapsedTime%</span>"
                                                                                                   , "rowdata-r", null, false);
                                      writeTag_TD("<span title='min=%value WithChildrenSpentTimeMin% / max=%value WithChildrenSpentTimeMax%'>%value WithChildrenSpentTime%</span>"
                                                                                                   , "rowdata-r", null, false);
                                   </script>
                                 </tr>
                              %endloop%
                           </tbody>

                           <!-- Print Grand Totals row -->
                           <tfoot>
                              <tr>
                                 %ifvar isAverageTimes equals('false')%
                                    <td class="columnFooter-r" colspan="%ifvar targetView/hasCommentsViewer equals('true')%3%else%2%end if%">Grand Totals:</td>
                                    %scope targetView/GrandTotals%
                                       <td class="columnFooter-c">%value ServiceCount%           </td>
                                       <td class="columnFooter-r%ifvar js_users_array% clickable%endif%" %ifvar js_users_array%onclick='javascript:showAllUsers();' title="Show list of user names"%endif%>
                                          %value UserCount%
                                       </td>
                                       <td class="columnFooter-r">%value CallCount%              </td>
                                       <td class="columnFooter-r">%value ExceptionCount%         </td>
                                       <td class="columnFooter-r">%value OwnElapsedTime%         </td>
                                       <td class="columnFooter-r">%value OwnSpentTime%           </td>
                                       <td class="columnFooter-r">%value WithChildrenElapsedTime%</td>
                                       <td class="columnFooter-r">%value WithChildrenSpentTime%  </td>
                                    %end scope%
                                 %else%
                                    <td class="columnFooter-r" colspan="%ifvar targetView/hasCommentsViewer equals('true')%11%else%10%end if%">&nbsp;</td>
                                 %endif%
                              </tr>
                           </tfoot>
                        </table>
                     </form>
                  </td>
               </tr>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/><br/>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %endinvoke%
      </table>
   </body>
</html>
