<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Admin</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      <script type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      %end invoke%
      <script type="text/javascript">
         <!-- // Activate cloak

         function seeDetailsFor(textBox)
         /*****************************/{

            if (isblank(textBox.value))
               {
               alert("Package pattern cannot be empty.");
               return false;
               }
            else
               {
               window.open("admin_pkg_list.dsp?filter=" + textBox.value, "admin_package_list");
               return true;
               }
         }

         // Deactivate cloak -->
      </script>
   </head>

   <body style="border: 0;" onload="setNavigation('admin_fs.dsp', 'doc/OnlineHelp/PackageHelp.html#viewperservice', 'foo');">
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.admin.pkg_exclusion:savePatterns%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <table width="100%">

                     %ifvar message%
                        <tr>
                           <td class="message" colspan="4">
                              %value message encode(xml)%
                           </td>
                        </tr>
                        <tr><td colspan="4"><br/></td></tr>
                     %endif%

                     <tr class="heading">
                        <td colspan="4">Package Exclusion Patterns</td>
                     </tr>
                     <form method="post" name="ExclusionForm">

                        <!-- set & test a new package pattern -->
                        <tr colspan="4">
                           <td class="oddrowdata-r" width="80">
                              New pattern:
                           </td>
                           <td class="oddrow-l">
                              <input type="text" name="newPattern" size="35">
                           </td>
                           <td class="oddrowdata" width="60">
                              <a href="#" onclick="return seeDetailsFor(document.ExclusionForm.newPattern);">
                                 <img src="images/cmd_seedetail.gif" alt="See Details" border="0">
                              </a>
                           </td>
                           <td class="oddrow" width="60">&nbsp;</td>
                        </tr>
                        <tr>
                           <td class="columnHeading-c">Remove</td>
                           <td class="columnHeading">Name Pattern</td>
                           <td class="columnHeading-c">Check</td>
                           <td class="columnHeading-c">Disabled</td>
                        </tr>

                        <!-- show current pattern set -->
                        %loop patternList%
                           <tr class="selectableRowStripped">
                             <script type="text/javascript">
                                writeTag_TD  ('<input type="checkbox" name="removePatternKey" value="%value key%">', "rowdata", true );
                                writeTag_TD  ("%value pattern%"                                                    , "row-l"  , false);
                                writeTag_TD  ( '<a href="admin_pkg_list.dsp?filter=%value pattern%" target="admin_package_list">'
                                             +    '<img src="images/cmd_seedetail.gif" alt="See Details" border="0" />'
                                             + '</a>'
                                             , "rowdata", false);
                                writeTag_TD  ('<input type="checkbox" name="disablePatternKey" value="%value key%" %ifvar disabled equals('true')%checked%endif%>', "rowdata", false);
                             </script>
                           </tr>
                        %endloop%

                        <!-- button bar -->
                        <tr class="action">
                           <td class="action" colspan="4">
                              <input type="hidden" name="patternLoadId" value="%value patternLoadId%">
                              <input type="hidden" name="mode"          value="save">
                              <input type="submit" name="action"        value="Save Changes">
                           </td>
                        </tr>
                     </form>
                  </table>
               </td>
            </tr>
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %endinvoke%
      </table>
   </body>
</html>
