<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - Browse Running Services</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      <script type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      %end invoke%

      <style>
         body { border: 0; }
         a img
           {
           border-style: none;
           }
      </style>

      <script type="text/javascript">
         <!-- // Activate cloak
            var mIsRegularExpressionFind = false;   // whether the last find used was with RE or not

            function findServiceName()
            /*****************************/{
               findServiceName(false);
            }

            function findServiceNameRE()
            /*****************************/{
               findServiceNameRE(false);
            }

            function findServiceName(isCalledLocally)
            /*****************************/{

               if (isFindServiceName())
                  {
                  var xTree = parent.bs_tree.mT;

                  if (!isCalledLocally)                                // i.e., called by another page
                     {
                     if (mIsRegularExpressionFind)
                        findServiceNameRE(true);
                     else
                        findServiceName(true);
                     }
                  else
                     {
                     var xIdList = xTree.getNodeIdsByName(document.forms[0].txtServiceName.value);
                     if (xIdList)
                        xTree.highlightNodes(xIdList, true);

                     mIsRegularExpressionFind = false;
                     }
                  }
            }

            function findServiceNameRE(isCalledLocally)
            /*****************************/{

               if (isFindServiceName())
                  {
                  var xTree = parent.bs_tree.mT;

                  if (!isCalledLocally)                                // i.e., called by another page
                     {
                     if (mIsRegularExpressionFind)
                        findServiceNameRE(true);
                     else
                        findServiceName(true);
                     }
                  else
                     {
                     var xIdList = xTree.getNodeIdsByRE(document.forms[0].txtServiceName.value);
                     if (xIdList)
                        xTree.highlightNodes(xIdList, true);

                     mIsRegularExpressionFind = true;
                     }
                  }
            }

            function isFindServiceName()
            /*****************************/{
               var xResult = false;

               if (parent.bs_tree.mT)
                  if (document.forms[0].txtServiceName.value)
                     xResult = true;

               return xResult;
            }

            function setPaging(pageNumber, pageCount)
            /*****************************/{
               var xPageNumberObj   = document.getElementById("pagePosition");
               var xNextPageObj     = document.getElementById("nextPage"    );
               var xPreviousPageObj = document.getElementById("previousPage");
               var xCurrentPageObj  = document.getElementById("pageNumber"  );

               if (pageCount > 1)
                  {
                  xPageNumberObj.innerHTML = pageNumber + '/' + pageCount;
                  if (pageNumber > 1)
                     xPreviousPageObj.innerHTML = "<a href='javascript: loadPreviousPage(" + pageNumber + ");' title='Previous Page'>"
                                                + "<img src='images/go_previous.gif' alt='Previous Page'>"
                                                + "</a>";
                  else
                     xPreviousPageObj.innerHTML = "<img src='images/go_previous_off.gif' alt='Previous Page'>";

                  if (pageNumber < pageCount)
                     xNextPageObj.innerHTML     = "<a href='javascript: loadNextPage(" + pageNumber + ");' title='Next Page'>"
                                                + "<img src='images/go_next.gif' alt='Next Page'>"
                                                + "</a>";
                  else
                     xNextPageObj.innerHTML     = "<img src='images/go_next_off.gif' alt='Next Page'>";
                  }
               else
                  {
                  xPageNumberObj.innerHTML   = "";
                  xNextPageObj.innerHTML     = "";
                  xPreviousPageObj.innerHTML = "";
                  }

               if (xCurrentPageObj)
                  xCurrentPageObj.value      = pageNumber;
            }

            function loadNextPage(currentPageNumber)
            /*****************************/{
               document.forms[0].pageNumber.value = currentPageNumber + 1;
               document.forms[0].submit();
            }

            function loadPreviousPage(currentPageNumber)
            /*****************************/{
               document.forms[0].pageNumber.value = currentPageNumber - 1;
               document.forms[0].submit();
            }

            function getCurrentPageNumber()
            /*****************************/{
               var xResult = 0;

               var xCurrentPageObj  = document.getElementById("pageNumber"  );
               if (xCurrentPageObj)
                  xResult = parseInt(xCurrentPageObj.value);

               return xResult;
            }

            function prepareRefresh()
            /*****************************/{
               document.forms[0].pageNumber.value     = "";                // IE does not know NULLs!!... So, use an empty String.
               parent.bs_detail.window.location.href  = "about:blank";     // avoid selected->detail mismatches
               return true;
            }

            function openSingleNode(nodeId)
            /*****************************/{
               var xTree = parent.bs_tree.mT;

               if (xTree)
                  {
                  var xIndexes   = new Array();
                  xIndexes[0]    = nodeId;
                  xTree.closeAll();
                  xTree.highlightNodes(xIndexes, true);
                  }
            }

         // Deactivate cloak -->
      </script>

   </head>

   <body onload="setNavigation('BrowseRunningServices-fs.dsp', 'doc/OnlineHelp/PackageHelp.html#browserunningservices', 'foo');">
      <table class="topContainer">
         <tr>
            <td class="menusection-Dashboard">Dashboard &gt; Browse Running Services</td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <table width="100%">
                  <tr>
                     <td class="heading">Service Invoke Tree</td>
                  </tr>
                  <tr>
                     <td class="oddrow-l">
                        <form name="frmOptions" method="post" action="BrowseRunningServices-tree.dsp" target="bs_tree">
                           <table width="100%">
                              <tr>
                                 <td width="5" height="26">&nbsp;</td><!-- reserve height space to be seamless with the BrowseSnapshot panel -->
                                 <td width="13">
                                    <a href="javascript: parent.bs_tree.mT.openAll();" title="Open All">
                                      <img src="tree/images/open_all.gif" alt="Open All" />
                                    </a>
                                 </td>
                                 <td width="13">
                                    <a href="javascript: parent.bs_tree.mT.closeAll();" title="Close All">
                                      <img src="tree/images/close_all.gif" alt="Close All" />
                                    </a>
                                 </td>
                                 <td>
                                    <input type="hidden" name="pageNumber" id="pageNumber" />
                                    <input type="submit" name="action"     value="Refresh" onclick="javascript: prepareRefresh();" />
                                 </td>
                                 <td id="previousPage"></td>
                                 <td id="pagePosition" nowrap></td>
                                 <td id="nextPage"></td>
                                 <td class="oddrow" nowrap>
                                    Service Name:
                                 </td>
                                 <td class="oddrow" width="40">
                                    <input type="text" name="txtServiceName" size="40" value="%value serviceName%" />
                                 </td>
                                 <td width="13">
                                    <a href="javascript: findServiceName(true);" title="Find Service in Tree">
                                      <img width="13" src="tree/images/find_node.gif" alt="Find" />
                                    </a>
                                 </td>
                                 <td width="13">
                                    <a href="javascript: findServiceNameRE(true);" title="Find Service in Tree, using a Regular Expression">
                                      <img width="13" src="tree/images/find_node_re.gif" alt="Find" />
                                    </a>
                                 </td>
                                 <td>
                                    <a href="javascript: parent.bs_tree.mT.clearHighlighted();" title="Clear highlighted services">
                                      <img width="13" src="tree/images/clear_highlighted.gif" alt="Clear Highlighted" />
                                    </a>
                                 </td>
                                 %invoke wia.issprofiler.admin:getStatus%
                                    %ifvar isJavaStackTraceCapable equals('true')'%
                                        <td class="oddrow">With Thread info:</td>
                                        <td class="oddrow-l">
                                           <input type="checkbox" name="includeJavaStackTrace" %ifvar includeJavaStackTrace equals('true')% checked %endif% />
                                        </td>
                                        <td class="oddrow">&nbsp;</td>
                                    %else%
                                        <td colspan="3">&nbsp;</td>
                                    %end if%
                                 %onerror%
                                    <td colspan="3">&nbsp;</td>
                                 %end invoke%
                              </tr>
                              <tr>
                                 <td class="oddrow" colspan="7">&nbsp;</td>
                                 <td class="oddrow">
                                    Ignore ALL Package Exclusion Patterns:
                                 </td>
                                 <td class="oddrow-l">
                                    <input type="checkbox" name="isIgnorePkgFilters" %ifvar isIgnorePkgFilters equals('true')% checked %endif% />
                                 </td>
                                 <td class="oddrow" colspan="3">&nbsp;</td>
                                 <td class="oddrow">
                                    Minimum Elapsed Time (D&nbsp;HH:MM:SS.m):
                                 </td>
                                 <td class="oddrow-l">
                                    <input type="text" name="minElapsedTime" value="%value minElapsedTime%" size="15" />
                                 </td>
                                 <td class="oddrow">&nbsp;</td>
                              </tr>
                           </table>
                        </form>
                     <td>
                  <tr>
               </table>
            </td>
         </tr>
      </table>
   </body>
</html>
