<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - Browse Snapshot - Service Details</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      <link rel="stylesheet" type="text/css" href="package.css">
      %end invoke%
      <link rel="stylesheet" type="text/css" href="BrowseSnapshot-servicedetail.css">
      <style>
         #scale-values
            {
            text-align:center;
            color:#999
            }
         #scale-values .left, #scale-values .right
            {
            width: 50px;
            }
         #scale-values .left
            {
            float:left;
            text-align:left;
            }
         #scale-values .right
            {
            float:right;
            text-align:right;
            }
         #scale-values, #mid-line, #bot-line
            {
            width:100%;
            }
         #mid-line, #bot-line
            {
            line-height:5px;
            }
         #mid-1, #mid-2, #bot-1, #bot-2, #bot-3, #bot-4
            {
            display:inline-block;
            border-color: #999;
            }
         #mid-1, #mid-2
            {
            width:50%;
            }
         #mid-1
            {
            border-left:1px solid;
            margin-right:-2px;
            }
         #mid-2
            {
            border-right:1px solid;
            }
         #bot-line
            {
            border-bottom:1px solid #999;
            }
         #bot-1, #bot-2, #bot-3, #bot-4
            {
            width:25%;
            }
         #bot-1
            {
            border-left:1px solid;
            border-right:1px solid;
            margin-right:-2px;
            }
         #bot-2
            {
            border-right:1px solid;
            margin-left:-1px;
            }
         #bot-3
            {
            border-right:1px solid;
            margin-left:-1px;
            }
         #bot-4
            {
            border-right:1px solid;
            margin-left:-1px;
            }
      </style>
   </head>

   <body style="border: 0;">
      <form name="frmMain">
         <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
            %ifvar id%
               %invoke wia.pub.issprofiler.ui.browseSnapshot:getServiceDetails%
               %onerror%
                  <tr>
                     <td class="message" colspan="2">
                        %value errorMessage encode(xml)%
                     </td>
                  </tr>
               %end invoke%
            %end if%

            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message encode(xml)%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table width="95%">
                        <thead>
                           <tr>
                              <td class="columnHeading" colspan="4">Service</td>
                           </tr>
                           <tr></tr>
                        </thead>
                        <tbody>
                           <tr>
                              <td class="rowlabel"  width="25%"> Package:        </td><!-- also set the fixed reference-width of the column -->
                              <td class="evencol-l" colspan="3"> %value pn%      </td>
                           </tr>
                        %ifvar ul%
                           <tr>
                              <td class="rowlabel">             User(s):        </td>
                              <td class="evencol-l" colspan="3">%loop ul%<span class="userName">%value ul%</span>%loopsep ', '%%endloop%</td>
                           </tr>
                        %endif%
                        %ifvar csn%
                           <tr>
                              <td class="rowlabel" >             Called from:    </td>
                              <td class="evencol-l" colspan="3"> %value csn%     </td>
                           </tr>
                        %endif%
                           <tr>
                              <td class="rowlabel">              Call Count:     </td>
                              <td class="evencol-r" width="25%"> %value cc%      </td>
                              <td class="evencol-l" colspan="2">
                                 %ifvar re%
                                    completed
                                 %else%
                                    &nbsp;
                                 %endif%
                              </td>
                           </tr>
                           <tr>
                              <td class="rowlabel">              Exception Count:</td>
                              <td class="evencol-r">             %value ec%      </td>
                              <td class="evencol-r" colspan="2"> &nbsp;          </td>
                           </tr>
                        %ifvar ac%
                           <tr>
                              <td class="rowlabel">              Aggregate Count:</td>
                              <td class="evencol-r">             %value ac%      </td>
                              <td class="evencol-r" colspan="2"> &nbsp;          </td>
                           </tr>
                        %endif%
                        %ifvar scvu%
                           %ifvar scvu equals('void')%
                           %else%
                              <tr>
                                 <td class="rowlabel">              Documentation  :</td>
                                 <td class="evencol-l" colspan="3"><a href="%value scvu%" target='_blank'>view service comments</a></td>
                              </tr>
                           %endif%
                        %endif%
                        </tbody>
                     </table>
                     <br/>
                     <table width="95%">
                        <thead>
                           <tr>
                              <td class="columnHeading" colspan="4"> Own Code    </td>
                           </tr>
                           <tr></tr>
                        </thead>
                        <tbody>
                           <tr>
                              <td class="rowlabel"  width="25%"> Elapsed:        </td><!-- also set the fixed reference-width of the column -->
                              <td class="evencol-r" width="25%"> %value oce%     </td>
                              <td class="evencol-r" colspan="2"> &nbsp;          </td>
                           </tr>
                           <tr>
                              <td class="rowlabel">              Spent:          </td>
                              <td class="evencol-r">             %value ocs%     </td>
                              <td class="evencol-r" colspan="2"> &nbsp;          </td>
                           </tr>
                        </tbody>
                     </table>
                     <br/>
                     <table width="95%">
                        <thead>
                           <tr>
                             <td class="columnHeading-r" colspan="2"> Accumulated With Children: </td>
                             <td class="columnHeading-r">             Mininum </td>
                             <td class="columnHeading-r">             Maximum </td>
                           </tr>
                           <tr></tr>
                        </thead>
                        <tbody>
                           <tr>
                              <td class="rowlabel"  width="25%"> Elapsed:                      </td><!-- also set the fixed reference-width of the column -->
                              <td class="evencol-r" width="25%"> %value wce%                   </td>
                              <td class="evencol-r" width="25%"> %value wcemn  null='&nbsp;'%  </td>
                              <td class="evencol-r" width="25%"> %value wcemx  null='&nbsp;'%  </td>
                           </tr>
                           <tr>
                              <td class="rowlabel">              Spent:                        </td>
                              <td class="evencol-r">             %value wcs%                   </td>
                              <td class="evencol-r">             %value wcsmn  null='&nbsp;'%  </td>
                              <td class="evencol-r">             %value wcsmx  null='&nbsp;'%  </td>
                           </tr>
                        </tbody>
                     </table>

                  %ifvar re%
                     <br/>
                     <table width="95%">
                        <thead>
                           <tr>
                              <td class="columnHeading" colspan="4"> Running Instance </td>
                           </tr>
                           <tr></tr>
                        </thead>
                        <tbody>
                           <tr>
                              <td class="rowlabel"  width="25%"> Elapsed:   </td><!-- also set the fixed reference-width of the column -->
                              <td class="evencol-r" width="25%"> %value re% </td>
                              <td class="evencol-r" colspan="2"> &nbsp;     </td>
                           </tr>
                        </tbody>
                     </table>
                  %endif%

                  %ifvar dcnp%
                     <table class="detailPanel">
                        <thead>
                           <tr>
                              <td class="columnHeading" colspan="2">Direct Child Nodes Percentage(s)</td>
                           </tr>
                        </thead>
                        <tbody>
                           <tr>
                              <td class="legend percentage header"><div class="tag-left"><div class="hole cpu"></div>Spent</div><div class="tag-right"><div class="hole elapsed"></div>Elapsed</div></td>
                              <td id="ruler">
                                 <div id="scale-values">50%<div class="left">0%</div><div class="right">100%</div></div>
                                 <div id="mid-line"><span id="mid-1">&nbsp;</span><span id="mid-2">&nbsp;</span></div>
                                 <div id="bot-line"><span id="bot-1">&nbsp;</span><span id="bot-2">&nbsp;</span><span id="bot-3">&nbsp;</span><span id="bot-4">&nbsp;</span></div>
                              </td>
                           </tr>
                        %loop dcnp%
                           <tr>
                              <td class="percentage"><div class="tag-left">%value tsp%%</div><div class="tag-right">%value tep%%</div></td>
                              <td class="childName">
                                 <div class="percentageBar">
                                    <span class="cpu" style="width:%value nsp%%;">&nbsp;</span>
                                    <span class="elapsed" style="width:%value nep%%;">&nbsp;</span>
                                    <span class="caption">%value sn%</span>
                                 </div>
                              </td>
                           </tr>
                        %end loop%
                        </tbody>
                     </table>
                  %endif%

                  </td>
               </tr>
            %endif%
         </table>
      </form>
   </body>
</html>
