<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - Package Coverage</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
      %end invoke%
   </head>
   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection-Dashboard" colspan="2">Dashboard &gt; Package Coverage &gt; Service Usage Statistics</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="PackageCoverage.dsp?isFromServerStatistics=true">Back to Package Coverage</a>
               </ul>
            <td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.serviceUsageStatistics:build%
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message encode(xml)%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>

                     <table name="DataDetail" sortable="true" id="unique_id">
                        <thead>
                           <tr class="heading">
                              <td colspan="3">Server Statistics</td>
                           </tr>
                           <tr>
                              <td class="columnHeading"   sortable="true">Package Name</td>
                              <td class="columnHeading"   sortable="true">Service Name</td>
                              <td class="columnHeading-c" sortable="true" sortType="date" sortOption="dd-MM-yyyy HH:mm:ss.SSS" sortOrder="desc">Last Ran</td>
                           </tr>
                        </thead>

                        <tbody>
                           %loop targetView%
                              <tr class="selectableRowStripped">
                                 <script type="text/javascript">
                                    writeTag_TD("%value PackageName%", "row-l", null, true );
                                    writeTag_TD("%value ServiceName%", "row-l", null, false);
                                    writeTag_TD("%value LastRan%"    , "row-l", null, false);
                                 </script>
                              </tr>
                           %end loop%
                        </tbody>

                        <!-- Print table footer -->
                        <tfooter>
                           <tr>
                              <td class="columnFooter-r" colspan="3">&nbsp;</td>
                           </tr>
                        </tfooter>
                     </table>

                  </td>
               </tr>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %endinvoke%
      </table>
   </body>
</html>
