<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Dashboard - View Per User</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      <script type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      <script type="text/javascript" src="scripts/simpletabs.js"></script>
      <link rel="stylesheet" type="text/css" href="ViewPerUser.css">
      %end invoke%
      <script type="text/javascript">

         /** toggle the ViewService icon of a user to collapse or expand, hiding or showing the list of services */
         function toggleViewServiceOf(image, userName) {
            var xTarget = getListOfServicesObj(userName);

            if (xTarget)
               {
               if (xTarget.style.display == "none")
                  expandListOfServices  (image, xTarget);
               else
                  collapseListOfServices(image, xTarget);
               }
         }

         function getListOfServicesObj(userName) {
            return document.getElementById("servicesOf" + userName);
         }

         function collapseListOfServices(image, listOfServices) {
            listOfServices.style.display = "none";
            image.setAttribute("src"  , "images/detail_collapsed.png");
            image.setAttribute("title", "Expand list of services"    );
         }

         function expandListOfServices(image, listOfServices) {
            listOfServices.style.display = "block";
            image.setAttribute("src"  , "images/detail_expanded.png" );
            image.setAttribute("title", "Collapse list of services"  );
         }

         /** toggle the ViewService icon to collapse or expand, hiding or showing all the lists of services */
         function toggleViewOfAllServices(image) {
            if (image)
               {
               var xDoCollapse = true;

               if (image.getAttribute("src") == "images/detail_collapsed.png")
                  {
                  image.setAttribute("src"  , "images/detail_expanded.png" );
                  image.setAttribute("title", "Collapse all lists of services"  );
                  xDoCollapse = false;
                  }
               else
                  {
                  image.setAttribute("src"  , "images/detail_collapsed.png" );
                  image.setAttribute("title", "Expand all lists of services"  );
                  xDoCollapse = true;
                  }

               var xTarget = document.getElementsByClassName("toggleViewServices");

               if (xTarget)
                  for(var xIdx = 0; xIdx < xTarget.length; xIdx++)
                     {
                     var xImage           = xTarget[xIdx].children[0];
                     var xUserName        = xImage.getAttribute("user");
                     var xListOfServices  = getListOfServicesObj(xUserName);

                     if (xListOfServices)
                        {
                        if (xDoCollapse)
                           collapseListOfServices(xImage, xListOfServices);
                        else
                           expandListOfServices  (xImage, xListOfServices);
                        }
                     }
               }
         }

         /**
            Proxy to normalize the access to the more generic tab selection function.
               @param   index
                           O (zero) based index of the tab element to be selected.
         */
         function tabSelection(index, nextElement)
         {
            tabSelectionByStyle('myTabLabel', 'myTabBody', index, null, 'tab-selected-label', 'tab-unselected-label', 'tab-selected-body', 'tab-unselected-body');

            var xCurrentTabIdx = document.getElementById("currentTabIdx");
            if (xCurrentTabIdx)
               xCurrentTabIdx.value = index;
         }

      </script>
   </head>

   <body onLoad="setNavigation('ViewPerUser.dsp', 'doc/OnlineHelp/PackageHelp.html#viewperuser', 'foo');">
      <table class="topContainer">
         <tr>
            <td class="menusection-Dashboard">Dashboard &gt; View Per User</td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.viewPerUser:build%
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message encode(xml)%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table width="100%">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message" colspan="5">
                                 %value validationMessage encode(xml)%
                              </td>
                           </tr>
                           <tr><td colspan="5">&nbsp;</td></tr>
                        %endif%
                        <tr class="heading">
                           <td colspan="5">Snapshot Identification</td>
                        <tr>
                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                           <td class="columnHeading-r" title="Max Thread Count">MTC</td>
                        </tr>
                        <tr>
                           <td class="oddrow-l">%value targetView/SampleKey      %</td>
                           <td class="oddrow-l">%value targetView/ServerName     %</td>
                           <td class="oddrow-l">%value targetView/SampleBeginTime%</td>
                           <td class="oddrow-l">%value targetView/SampleEndTime  %</td>
                           <td class="oddrow">  %value targetView/MaxThreadCount %</td>
                        </tr>
                     </table>
                     <br/>

                     <form method="post">
                        <table id="tab-manager">
                           <tr class="oddrow-l">
                              <td class="spacer"><input type="hidden" name="currentTabIdx" id="currentTabIdx" value="%value currentTabIdx%" /></td>
                              <td class="tabbed-form" id="myTabLabels">
                                 <span name="myTabLabel" class="tab-unselected-label" onclick="tabSelection(0);" title="Which services a user referenced">By User</span>
                                 <span name="myTabLabel" class="tab-unselected-label" onclick="tabSelection(1);" title="Which users referenced a service">By Service</span>
                              </td>
                              <td id="refresh">
                                 <input type="submit" name="action" value="Refresh" />
                              </td>
                              <td id="ignore-apep-label">Ignore ALL Package Exclusion Patterns:</td>
                              <td id="ignore-apep-input"><input type="checkbox" name="isIgnorePkgFilters" %ifvar isIgnorePkgFilters equals('true')% checked %endif% /></td>
                              <td id="status-display">
                                 %ifvar isLoadFromXMLFile equals('true')%
                                    <img src="images/snapshot-from-xml-file.gif" />
                                 %endif%
                                 %ifvar frozen equals('true')%
                                    <img src="images/snapshot-frozen.gif">
                                 %endif%
                              </td>
                           </tr>
                           <tr>
                              <td class="tabbed-form" colspan="6">
                                 <table width="100%">
                                    <tr>
                                       <td class="heading">View per User</td>
                                    </tr>
                                    <tr>
                                       <td id="tabs-container">
                                          <div name="myTabBody" class="tab-selected-body">
                                             <!-- Per User / by User -->
                                             <table id="perUser" sortable="true">
                                                <thead>
                                                   <tr>
                                                      <td class="columnHeading">
                                                         <script type="text/javascript">
                                                            if (document.getElementsByClassName)
                                                               document.write('<img src="images/detail_collapsed.png" title="Expand all lists of services" onclick="javascript: toggleViewOfAllServices(this);" />');
                                                            else
                                                               document.write("&nbsp;");
                                                         </script>
                                                      </td>
                                                      <td class="columnHeading"   sortable="true">User</td>
                                                      <td class="columnHeading-c" sortable="true" sortOrder="desc" width="70px">% Usage</td>
                                                      <td class="columnHeading-c">Service Usage Ratio</td>
                                                      <td class="columnHeading-r userCount" sortable="true" sortType="number" sortOrder="desc" title="Number of services for the user">&sum;</td>
                                                   </tr>
                                                </thead>

                                                <tbody>
                                                   <!-- Loop over the Service Details and print a line for each -->
                                                   %loop targetView/PerUser%
                                                      <tr class="selectableRowStripped">
                                                         <td class="oddrow toggleViewServices"><img src="images/detail_collapsed.png" title="Expand list of services" onclick="javascript: toggleViewServiceOf(this, '%value UserName%');" user="%value UserName%"/></td>
                                                         <td class="oddrow-l userName">
                                                            %value UserName%
                                                            <table id="servicesOf%value UserName%" width="100%" style="display:none;">
                                                               %loop Services%
                                                                  <tr>
                                                                     <td class="commentsViewer">
                                                                        %ifvar CommentsViewerURL%
                                                                           <a href="%value CommentsViewerURL%" target="_blank"><img src="images/outlink_dark_icon.png" title="View service comments"/></a>
                                                                        %else%
                                                                           &nbsp;
                                                                        %end if%
                                                                     </td>
                                                                     <td>%value ServiceName%</td>
                                                                  </tr>
                                                               %end loop%
                                                            </table>
                                                         </td>
                                                         <td class="oddrowdata">%value UsagePercentage%</td>
                                                         <td class="oddrowdata"><script type="text/javascript">document.write(getGaugeHTML(%value UsagePercentage%, 16));</script></td>
                                                         <td class="oddrowdata-r">%value ServiceCount%</td>
                                                      </tr>
                                                   %endloop%
                                                <tbody>

                                                <!-- Print Grand Totals row -->
                                                <tfoot>
                                                   <tr>
                                                      <td class="columnFooter-r" colspan="3">Grand Totals:</td>
                                                      %scope targetView/GrandTotals%
                                                         <td class="columnFooter" colspan="2">%value ServiceCount% Top Level Services</td>
                                                      %end scope%
                                                   </tr>
                                                </tfoot>
                                             </table>
                                          </div>
                                          <div name="myTabBody" class="tab-selected-body">
                                             <!-- All Users / By Service -->
                                             <table id="allUsers" sortable="true">
                                                <thead>
                                                   <tr>
                                                      <td class="columnHeading packageName" sortable="true">Package</td>
                                                      <td class="columnHeading serviceName" sortable="true">Service</td>
                                                      %ifvar targetView/hasCommentsViewer equals('true')%<td class="columnHeading commentsViewer">&nbsp;</td>%end if%
                                                      <td class="columnHeading-c" sortable="true" sortOrder="desc" width="70px">% Usage</td>
                                                      <td class="columnHeading-c">Service Usage Ratio</td>
                                                      <td class="columnHeading-r serviceCount" title="Number of users for the service" sortable="true" sortType="number" sortOrder="desc">&sum;</td>
                                                      <td class="columnHeading" style="width: 30%;">Users</td>
                                                   </tr>
                                                </thead>

                                                <tbody>
                                                   <!-- Loop over the Service Details and print a line for each -->
                                                   %loop targetView/AllUsers%
                                                      <tr class="selectableRowStripped">
                                                        <script type="text/javascript">
                                                           writeTag_TD("%value PackageName%"                            , "row-l"    , null, true);
                                                           writeTag_TD("%value ServiceName%"                            , "row-l"    , null, false);
                                                        %ifvar CommentsViewerURL%
                                                           writeTag_TD("<a href='%value CommentsViewerURL%' target='_blank'><img src='images/outlink_dark_icon.png' style='border: 0;' title='View service comments'/></a>"
                                                                                                                        , "rowdata"  , null, false);
                                                        %end if%
                                                           writeTag_TD("%value UsagePercentage%"                        , "rowdata"  , null, false);
                                                           writeTag_TD(getGaugeHTML(%value UsagePercentage%, 16)        , "rowdata"  , null, false);
                                                           writeTag_TD("%value UserCount%"                              , "rowdata-r", null, false);
                                                           writeTag_TD("%loop UserNames%<span class='userName'>%value UserNames%</span>%loopsep ', '%%endloop%", "row-l", null, false);
                                                        </script>
                                                      </tr>
                                                   %endloop%
                                                <tbody>

                                                <!-- Print Grand Totals row -->
                                                <tfoot>
                                                   <tr>
                                                      <td class="columnFooter-r" colspan="%ifvar targetView/hasCommentsViewer equals('true')%5%else%4%endif%">Grand Totals:</td>
                                                      %scope targetView/GrandTotals%
                                                         <td class="columnFooter" colspan="3">%value ServiceCount% Top Level Services</td>
                                                      %end scope%
                                                   </tr>
                                                </tfoot>
                                             </table>
                                          </div>
                                       </td>
                                    </tr>
                                 </table>
                              </td>
                           </tr>
                        </table>
                     </form>
                  </td>
               </tr>
               <script type="text/javascript">
                  tabSelection(%ifvar currentTabIdx%%value currentTabIdx%%else%0%endif%);
               </script>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/><br/>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         %endinvoke%
      </table>
   </body>
</html>
