<!DOCTYPE html>
<html>
   <head>
      <title>%value $host% - wM IS Service Profiler - Licensing</title>
      <meta http-equiv="X-UA-Compatible"  content="IE=edge">
      <meta http-equiv="pragma"           content="no-cache">
      <meta http-equiv="content-type"     content="text/html; charset=utf-8">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      <script type="text/javascript" src="%value WmRoot/jsFilename%"></script>
      %end invoke%

      <style>
        <!--
         body
           {
           border: 0;
           }

         #licensingInfo TR TD.message
            {
            height: 100%;
            }

         #licensingInfo TR
            {
            height: 17px;
            }

         -->
      </style>

   </head>

   <body onload="setNavigation('licensing-info.dsp', 'doc/OnlineHelp/PackageHelp.html#licensing', 'foo');">
      %invoke wia.pub.issprofiler.ui.licensing:getMetadata%
         <table class="topContainer">
            <tr>
               <td class="menusection-ServiceProfiler" colspan="2">ServiceProfiler &gt; Licensing</td>
            </tr>
            <tr>
               <td>
                  <ul>
                     <li><a href="licensing-setkey.dsp">Set New License Key</a></li>
                     %ifvar LicenseInfo/isUnlimitedServiceVolume equals('false')%
                        <li><a href="licensing-info.dsp?resetSVTTop=true">Reset 'Services Top Volume' Counter</a></li>
                     %endif%
                  </ul
               <td>
            </tr>
         </table>
         <table class="mainContainer"><!-- this table is being used only to set a left identation to the child tables -->
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message encode(xml)%
                  </td>
               </tr>
            %endif%
            <tr>
               <td width="10">&nbsp;</td>
               <td>
                  <table id="licensingInfo" >

                     %ifvar validationMessage%
                        <tr>
                           <td class="message" colspan="3">
                              %value validationMessage encode(xml)%
                           </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                     %endif%

                     <tr class="heading">
                        <td colspan="2"> Licensing Information </td>
                     </tr>

                     <tr>
                        <td class="oddrow">Licensed To</td>
                        <td class="oddrowdata-l" WIDTH="200">%value LicenseInfo/customerName%</td>
                     </tr>
                     <tr>
                        <td class="evenrow">License Level</td>
                        <td class="evenrowdata-l" WIDTH="200">%value LicenseInfo/licenseLevelName%</td>
                     </tr>
                     <tr>
                        <td class="oddrow">Expiration Date</td>
                        <td class="oddrowdata-l">
                           %ifvar LicenseInfo/isExpirable equals('true')%
                              %value LicenseInfo/expirationDate%
                           %else%
                              %ifvar LicenseInfo/isValid equals('true')%
                                 does not expire
                              %end if%
                           %end if%
                        </td>
                     </tr>
                     <tr>
                        <td class="evenrow">Evaluation</td>
                        <td class="evenrowdata-l">
                          %value LicenseInfo/isEvaluation%
                        </td>
                     </tr>
                     <tr>
                        <td class="oddrow">Status</td>
                        <td class="oddrowdata-l">%value LicenseInfo/statusMessage%</td>
                     </tr>
                     %ifvar LicenseInfo/isUnlimitedServiceVolume equals('false')%
                        <!-- Licenced Service Tier Info -->
                        <tr>
                           <td class="evenrow">Licensed Service Volume</td>
                           <td class="evenrowdata-l">
                             %value LicenseInfo/licensedServiceVolume%
                           </td>
                        </tr>
                        <tr>
                           <td class="oddrow">Services Top Volume</td>
                           <td class="oddrowdata-l">
                              %ifvar LicenseInfo/isVolumeBreached equals('true')%
                                 <img src="images/tree_unlicensed.gif" style="vertical-align: middle;">
                              %end if%
                              %value LicenseInfo/serviceNodesTopCount%
                           </td>
                        </tr>
                     %end if%
                  </table>
               </td>
            </tr>
         </table>
      %onerror%
         <table width="100%"><!-- this table is being used only to set a left identation to the child tables -->
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/><br/>
                  %value errorMessage encode(xml)%
               </td>
            </tr>
         </table>
      %endinvoke%
   </body>
</html>
